summaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2011-10-21 15:24:24 -0400
committerTimo Teräs <timo.teras@iki.fi>2011-10-24 10:16:40 -0400
commite682e6596c101d634b3780a98773c8433b3baadb (patch)
treec5f5ec848d972555fafc2333f72182734dd7df5b /test
parentbd0242e1de1c21d4d58cfd86e98b223b6e3e7e12 (diff)
downloadapk-tools-e682e6596c101d634b3780a98773c8433b3baadb.tar.bz2
apk-tools-e682e6596c101d634b3780a98773c8433b3baadb.tar.xz
solver, pkg: implement versioned conflicts
One can now say in dependency "!foo<2" which means, that if foo is installed, it needs to be >=2, but it's not a required dependency.
Diffstat (limited to 'test')
-rw-r--r--test/conflict.repo19
-rw-r--r--test/conflict1.expect2
-rw-r--r--test/conflict2.expect2
3 files changed, 23 insertions, 0 deletions
diff --git a/test/conflict.repo b/test/conflict.repo
new file mode 100644
index 0000000..a95658c
--- /dev/null
+++ b/test/conflict.repo
@@ -0,0 +1,19 @@
+C:Q1EyN5AdpAOBJWKMR89pp/C66o+OE=
+P:a
+V:1
+S:1
+I:1
+D:!b<2
+
+C:Q1C4uoV7SdMdDhYg4OCVmI71D8HIA=
+P:b
+V:1
+S:1
+I:1
+
+C:Q1hdUpqRv5mYgJEqW52UmVsvmyysE=
+P:b
+V:2
+S:1
+I:1
+
diff --git a/test/conflict1.expect b/test/conflict1.expect
new file mode 100644
index 0000000..03c6d67
--- /dev/null
+++ b/test/conflict1.expect
@@ -0,0 +1,2 @@
+Installing b (2)
+Installing a (1)
diff --git a/test/conflict2.expect b/test/conflict2.expect
new file mode 100644
index 0000000..250f942
--- /dev/null
+++ b/test/conflict2.expect
@@ -0,0 +1,2 @@
+1 unsatisfiable dependencies (solution with 2 names)
+world: b<2